var express = require('express');
var router = express.Router();
var db = require('../models');
var User = db.User;
var Session = db.Session;

/* GET home page. */
router.get('/', async function(req, res, next) {
  console.log(req.cookies.sessionid);
  var sessionId = req.cookies.sessionid;
  var session;
  var user;
  if(sessionId != undefined) {
    session = await Session.findOne({
      include: User,
      where: {
        sessionid: sessionId
      }
    });
    if(session) {
      user = session.User;
      res.render('index', { auth: user });
    } else {
      res.redirect('/login');
    } 
  } else {
    res.redirect('/login');
  }
});

module.exports = router;
